Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-81699

[Reg 5.14.0 -> 5.14.1] "qmlRegisterType requires absolute URLs." error

    XMLWordPrintable

    Details

    • Platform/s:
      iOS/tvOS/watchOS
    • Commits:
      495db2cd2bb9130864f2dd1291788288765dfe7a (qt/qtbase/5.14) 38e6b511e9a5215ef0e8b3217fb51b5f8fbaa62d (qt/qtdeclarative/5.14)

      Description

      When running Qt examples (e.g. the mapviewer) with Qt 5.14.1 then "qmlRegisterType requires absolute URLs." messages are shown in the debug output and the app starts with a blank screen:

      2020-01-28 08:27:41.392621+0100 qml_location_mapviewer[342:12843] qmlRegisterType requires absolute URLs.
      2020-01-28 08:27:41.573186+0100 qml_location_mapviewer[342:12636] QQmlApplicationEngine failed to load component
      2020-01-28 08:27:41.573449+0100 qml_location_mapviewer[342:12636] qrc:/mapviewer.qml:481:9: Type MapComponent unavailable
      2020-01-28 08:27:41.573599+0100 qml_location_mapviewer[342:12636] qrc:/map/MapComponent.qml:378:5: Type MapSliders unavailable
      2020-01-28 08:27:41.573765+0100 qml_location_mapviewer[342:12636] qrc:/map/MapSliders.qml:54:1: module "QtQuick.Controls" version 2.0 is not installed
      

      I cannot reproduce this with the Quick Controls 2 "gallery" example because this example completely fails to build with Qt 5.14.1. All examples work fine with Qt 5.14.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              ulherman Ulf Hermann
              Reporter:
              DanielSt Peter Staab
              Votes:
              3 Vote for this issue
              Watchers:
              12 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes